Index: /trunk/SRC/Calendar/date2jul.pro
===================================================================
--- /trunk/SRC/Calendar/date2jul.pro	(revision 113)
+++ /trunk/SRC/Calendar/date2jul.pro	(revision 114)
@@ -32,4 +32,7 @@
 function date2jul, date, GRADS = grads
 ;------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
    year = long(date) / 10000
    month = long(abs(date)/100) MOD 100
Index: /trunk/SRC/Calendar/date2string.pro
===================================================================
--- /trunk/SRC/Calendar/date2string.pro	(revision 113)
+++ /trunk/SRC/Calendar/date2string.pro	(revision 114)
@@ -30,4 +30,7 @@
 FUNCTION date2string, yyyymmdd, _EXTRA = ex
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
    sday = strtrim(long(yyyymmdd) MOD 100, 1)
    smonth = strtrim((long(yyyymmdd)/100) MOD 100, 2)
Index: /trunk/SRC/Calendar/daysinmonth.pro
===================================================================
--- /trunk/SRC/Calendar/daysinmonth.pro	(revision 113)
+++ /trunk/SRC/Calendar/daysinmonth.pro	(revision 114)
@@ -31,4 +31,7 @@
 ;------------------------------------------------------------
 ; include commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4cal
 IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/Calendar/jul2date.pro
===================================================================
--- /trunk/SRC/Calendar/jul2date.pro	(revision 113)
+++ /trunk/SRC/Calendar/jul2date.pro	(revision 114)
@@ -24,4 +24,7 @@
 ;------------------------------------------------------------
 function jul2date, jday
+;
+  compile_opt idl2, strictarrsubs
+;
 
   caldat, jday, month, day, year
Index: /trunk/SRC/Calendar/leapyr.pro
===================================================================
--- /trunk/SRC/Calendar/leapyr.pro	(revision 113)
+++ /trunk/SRC/Calendar/leapyr.pro	(revision 114)
@@ -39,4 +39,7 @@
 function leapyr, year
 ; include commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4cal
   yr = long(year)
Index: /trunk/SRC/Calendar/monthname.pro
===================================================================
--- /trunk/SRC/Calendar/monthname.pro	(revision 113)
+++ /trunk/SRC/Calendar/monthname.pro	(revision 114)
@@ -24,4 +24,7 @@
 ;------------------------------------------------------------
 FUNCTION monthname,  mm1, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
    return, string(format='(C(CMoA0))',31*(mm1-1), _extra = ex)
 end
Index: /trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 113)
+++ /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 114)
@@ -80,7 +80,21 @@
     then
     cat <<EOF > /tmp/compileall${$}.pro
+.reset_session  
+;
 !path = expand_path('+' + '../..') + ':' + expand_path('+' + !dir)
-keep_compatibility, 0
-@all_cm
+resolve_all, resolve_either='def_myuniquetmpdir'
+resolve_all, resolve_either = 'find' 
+def_myuniquetmpdir
+oldcm = find('oldcm_empty')
+;oldcm = find('oldcm_full')
+oldcm = oldcm[0]
+@cm_general
+file_copy, oldcm, myuniquetmpdir + 'oldcm_used.pro', /overwrite
+IF !journal NE 0 THEN journal
+journal, myuniquetmpdir + 'cm_demomode_used.pro'
+journal   
+;
+resolve_all, resolve_either='keep_compatibility' 
+;
 EOF
 #
@@ -95,5 +109,5 @@
 	  if [ $? -eq 0 ]
 	      then
-	      echo ".r $( basename $i .pro )" >> /tmp/compileall${$}.pro
+	      echo "resolve_all, resolve_either = '$( basename $i .pro )', skip_routines = ['xxx2ps','trends']" >> /tmp/compileall${$}.pro
 	  fi
       fi
@@ -104,5 +118,6 @@
     echo
     echo
-    grep -q "Compilation error(s)" /tmp/compileallerr_${$}
+    grep -i "error" /tmp/compileallerr_${$}
+#    grep -q "Compilation error(s)" /tmp/compileallerr_${$}
     if [ ${?} -ne 0 ] 
     then
@@ -285,6 +300,6 @@
 wget http://forge.ipsl.jussieu.fr/saxo/download/$filesrc
 gunzip $filesrc
-tar vxfz $filesrc
-rm -f $filesrc
+tar vxf $( basename $filesrc .gz )
+rm -f $( basename $filesrc .gz )
 #
 chmod -R 755 *
@@ -306,6 +321,7 @@
 rm -rf DATA
 wget http://forge.ipsl.jussieu.fr/saxo/download/$filedata
-tar vxfz $filedata
-rm -f $filedata
+gunzip $filedata
+tar vxf $( basename $filedata .gz )
+rm -f $( basename $filedata .gz )
 #
 chmod -R 755 *
@@ -351,32 +367,7 @@
 if [ $doSRCidris -eq 1 ]
 then
-# create the update script for rhodes
-    if [[ ($doSRClodyc -eq 0) && ($doSRCipsl -eq 0) ]]
-	then
-	echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
-	infosrc=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_SRC_*.tar.gz  | head -n 1)
-	filesrc=$(echo ${infosrc} | awk '{print $NF}')
-	filesrc=$( basename $filesrc )
-    fi
-#
-    cat <<EOF > job_src_idris_$$
-#!/bin/ksh
-cd SAXO_DIR
-#
-rm -rf SRC
-echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
-scp ${lgforge}@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/$filesrc .
-gunzip $filesrc
-tar vxf $( basename $filesrc .gz )
-rm -f $( basename $filesrc .gz )
-#
-chmod -R 755 *
-exit
-#
-EOF
 # update src on rhodes
     echo "iii : update src to rhodes"
-    scp job_src_idris_$$ reee217@rhodes.idris.fr:.
-    ssh reee217@rhodes.idris.fr "chmod 755 job_src_idris_$$ ; ./job_src_idris_$$ ; rm -f job_src_idris_$$"
+    ssh reee217@rhodes.idris.fr "svn update SAXO_DIR/SRC ; chmod -R 755 SAXO_DIR"
 fi
 #------------------------------------------------------------------
@@ -415,5 +406,4 @@
 [ -f job_src_$$ ] && rm -f job_src_$$
 [ -f job_data_$$ ] && rm -f job_data_$$
-[ -f job_src_idris_$$ ] && rm -f job_src_idris_$$
 [ -f job_data_idris_$$ ] && rm -f job_data_idris_$$
 #
Index: /trunk/SRC/ForOldVersion/keep_compatibility.pro
===================================================================
--- /trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 113)
+++ /trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 114)
@@ -23,4 +23,7 @@
 ;-
 PRO keep_compatibility, flag
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 @cm_general
Index: /trunk/SRC/Grid/computegrid.pro
===================================================================
--- /trunk/SRC/Grid/computegrid.pro	(revision 113)
+++ /trunk/SRC/Grid/computegrid.pro	(revision 114)
@@ -150,4 +150,7 @@
                  , _extra = ex 
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/Grid/micromeshmask.pro
===================================================================
--- /trunk/SRC/Grid/micromeshmask.pro	(revision 113)
+++ /trunk/SRC/Grid/micromeshmask.pro	(revision 114)
@@ -20,4 +20,7 @@
 ;------------------------------------------------------
 PRO ncdf_transfer, inid, outid, inname, outname
+;
+  compile_opt idl2, strictarrsubs
+;
   IF n_elements(outname) EQ 0 THEN outname = inname
   ncdf_varget, inid, inname, zzz
@@ -42,4 +45,7 @@
 ;-
 PRO micromeshmask, ncfilein, ncfileout, IODIR = iodir
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   filein = isafile(FILE = ncfilein, IODIR = iodir, /NEW)
@@ -78,5 +84,5 @@
     dimid = (where(strmid(listdims, 0, 5) EQ 'depth'))[0]
     IF dimid NE -1 THEN ncdf_diminq, cdfid, dimid, name, jpk ELSE BEGIN 
-      report, 'We could not find the vertical dimension..., its name must be z or start with depth'
+      dummy = report('We could not find the vertical dimension..., its name must be z or start with depth')
       return
     ENDELSE 
Index: /trunk/SRC/Grid/n128gaussian.pro
===================================================================
--- /trunk/SRC/Grid/n128gaussian.pro	(revision 113)
+++ /trunk/SRC/Grid/n128gaussian.pro	(revision 114)
@@ -16,4 +16,7 @@
 ;
 FUNCTION n128gaussian
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 ;          latitude   reduced     regular  latitude
Index: /trunk/SRC/Grid/n160gaussian.pro
===================================================================
--- /trunk/SRC/Grid/n160gaussian.pro	(revision 113)
+++ /trunk/SRC/Grid/n160gaussian.pro	(revision 114)
@@ -17,4 +17,7 @@
 ;
 FUNCTION n160gaussian
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 ;          latitude   reduced     regular  latitude
Index: /trunk/SRC/Grid/n256gaussian.pro
===================================================================
--- /trunk/SRC/Grid/n256gaussian.pro	(revision 113)
+++ /trunk/SRC/Grid/n256gaussian.pro	(revision 114)
@@ -17,4 +17,7 @@
 ;
 FUNCTION n256gaussian
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 ;         latitude   reduced     regular  latitude
Index: /trunk/SRC/Grid/n48gaussian.pro
===================================================================
--- /trunk/SRC/Grid/n48gaussian.pro	(revision 113)
+++ /trunk/SRC/Grid/n48gaussian.pro	(revision 114)
@@ -17,4 +17,7 @@
 ;
 FUNCTION n48gaussian
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 ;          latitude   reduced     regular  latitude
Index: /trunk/SRC/Grid/n80gaussian.pro
===================================================================
--- /trunk/SRC/Grid/n80gaussian.pro	(revision 113)
+++ /trunk/SRC/Grid/n80gaussian.pro	(revision 114)
@@ -17,4 +17,7 @@
 ;
 FUNCTION n80gaussian
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 ;          latitude   reduced     regular  latitude
Index: /trunk/SRC/Grid/ncdf_meshread.pro
===================================================================
--- /trunk/SRC/Grid/ncdf_meshread.pro	(revision 113)
+++ /trunk/SRC/Grid/ncdf_meshread.pro	(revision 114)
@@ -75,4 +75,7 @@
 ;
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
@@ -114,5 +117,5 @@
     dimid = (where(strmid(listdims, 0, 5) EQ 'depth'))[0]
     IF dimid NE -1 THEN ncdf_diminq, cdfid, dimid, name, jpkglo ELSE BEGIN 
-      report, 'We could not find the vertical dimension..., its name must be z or start with depth'
+      dummy = report('We could not find the vertical dimension..., its name must be z or start with depth')
       stop
     ENDELSE 
Index: /trunk/SRC/Grid/restoreboxparam.pro
===================================================================
--- /trunk/SRC/Grid/restoreboxparam.pro	(revision 113)
+++ /trunk/SRC/Grid/restoreboxparam.pro	(revision 114)
@@ -24,4 +24,7 @@
 ;------------------------------------------------------------
 PRO restoreboxparam, filename
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 ;
Index: /trunk/SRC/Grid/saveboxparam.pro
===================================================================
--- /trunk/SRC/Grid/saveboxparam.pro	(revision 113)
+++ /trunk/SRC/Grid/saveboxparam.pro	(revision 114)
@@ -25,4 +25,7 @@
 ;------------------------------------------------------------
 PRO saveboxparam, filename
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 ;
Index: /trunk/SRC/Grid/smallmeshmask.pro
===================================================================
--- /trunk/SRC/Grid/smallmeshmask.pro	(revision 113)
+++ /trunk/SRC/Grid/smallmeshmask.pro	(revision 114)
@@ -10,4 +10,7 @@
 ;------------------------------------------------------
 PRO ncdf_transfer, inid, outid, inname, outname
+;
+  compile_opt idl2, strictarrsubs
+;
   IF n_elements(outname) EQ 0 THEN outname = inname
   ncdf_varget, inid, inname, zzz
@@ -44,4 +47,7 @@
 ;-
 PRO smallmeshmask, ncfilein, ncfileout, IODIR = iodir
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   filein = isafile(FILE = ncfilein, IODIR = iodir, /NEW)
@@ -76,5 +82,5 @@
     dimid = (where(strmid(listdims, 0, 5) EQ 'depth'))[0]
     IF dimid NE -1 THEN ncdf_diminq, cdfid, dimid, name, jpk ELSE BEGIN 
-      report, 'We could not find the vertical dimension..., its name must be z or start with depth'
+      dummy = report('We could not find the vertical dimension..., its name must be z or start with depth')
       return
     ENDELSE 
Index: /trunk/SRC/Interpolation/.idlwave_catalog
===================================================================
--- /trunk/SRC/Interpolation/.idlwave_catalog	(revision 113)
+++ /trunk/SRC/Interpolation/.idlwave_catalog	(revision 114)
@@ -9,4 +9,5 @@
    ("angle" pro nil (lib "angle.pro" nil "saxo") "%s, fileocemesh, gcosu, gsinu, gcosv, gsinv, gcost, gsint" (nil ("DOUBLE") ("IODIRECTORY")))
    ("clickincell" fun nil (lib "clickincell.pro" nil "saxo") "Result = %s" (nil ("_EXTRA") ("CELLTYPE") ("COLOR") ("DRAWCELL") ("IJ") ("ORIGINAL")))
+   ("compute_fromirr_bilinear_weigaddr" pro nil (lib "compute_fromirr_bilinear_weigaddr.pro" nil "saxo") "%s, olonin, olat, omsk, alonin, alat, amsk, weig, addr" (nil))
    ("compute_fromreg_bilinear_weigaddr" pro nil (lib "compute_fromreg_bilinear_weigaddr.pro" nil "saxo") "%s, alonin, alatin, olonin, olat, weig, addr" (nil ("NONORTHERNLINE") ("NOSOUTHERNLINE")))
    ("compute_fromreg_imoms3_weigaddr" pro nil (lib "compute_fromreg_imoms3_weigaddr.pro" nil "saxo") "%s, alonin, alatin, olonin, olat, weig, addr" (nil ("NONORTHERNLINE") ("NOSOUTHERNLINE")))
@@ -14,4 +15,5 @@
    ("cutsegment" fun nil (lib "cutsegment.pro" nil "saxo") "Result = %s(x0, y0, x1, y1, n)" (nil ("endpoints") ("onsphere")))
    ("extrapolate" fun nil (lib "extrapolate.pro" nil "saxo") "Result = %s(zinput, maskinput, nb_iteration)" (nil ("MAXVAL") ("MINVAL") ("x_periodic")))
+   ("fromirr" fun nil (lib "fromirr.pro" nil "saxo") "Result = %s(method, datain, lonin, latin, mskin, lonout, latout, mskout)" (nil ("ADDR") ("WEIG")))
    ("fromreg" fun nil (lib "fromreg.pro" nil "saxo") "Result = %s(method, datain, lonin, latin, lonout, latout)" (nil ("ADDR") ("NONORTHERNLINE") ("NOSOUTHERNLINE") ("WEIG")))
    ("get_gridparams" pro nil (lib "get_gridparams.pro" nil "saxo") "%s, in1, in2, in3, in4, in5, in6, in7, in8" (nil ("DOUBLE")))
@@ -28,4 +30,3 @@
    ("spl_incr" fun nil (lib "spl_incr.pro" nil "saxo") "Result = %s(x, y, x2)" (nil ("YP0") ("YPN_1")))
    ("spl_keep_mean" fun nil (lib "spl_keep_mean.pro" nil "saxo") "Result = %s(x, yin, x2)" (nil ("GE0") ("YP0") ("YPN_1")))
-   ("square2quadrilateral" fun nil (lib "square2quadrilateral.pro" nil "saxo") "Result = %s(x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin)" (nil))
-   ("testinterp" pro nil (lib "testinterp.pro" nil "saxo") "%s" (nil))))
+   ("square2quadrilateral" fun nil (lib "square2quadrilateral.pro" nil "saxo") "Result = %s(x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin)" (nil))))
Index: /trunk/SRC/Interpolation/angle.pro
===================================================================
--- /trunk/SRC/Interpolation/angle.pro	(revision 113)
+++ /trunk/SRC/Interpolation/angle.pro	(revision 114)
@@ -30,4 +30,7 @@
 ;
 FUNCTION fsnspp, plam, pphi, DOUBLE = double
+;
+  compile_opt idl2, strictarrsubs
+;
   IF keyword_set(double) THEN BEGIN
     a = 2.d * tan( !dpi/4.d - !dpi/180.d*pphi/2.d )
@@ -61,4 +64,7 @@
 ; 0. read oceanic grid parameters
 ; ================================
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   IF keyword_set(IODIRECTORY) THEN BEGIN
Index: /trunk/SRC/Interpolation/clickincell.pro
===================================================================
--- /trunk/SRC/Interpolation/clickincell.pro	(revision 113)
+++ /trunk/SRC/Interpolation/clickincell.pro	(revision 114)
@@ -47,4 +47,7 @@
 ;-
 FUNCTION clickincell, CELLTYPE = celltype, DRAWCELL = drawcell, COLOR = color, ORIGINAL = original, IJ = ij, _EXTRA = extra
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ;
Index: /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 113)
+++ /trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 114)
@@ -42,5 +42,5 @@
   , NONORTHERNLINE = nonorthernline, NOSOUTHERNLINE = nosouthernline
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt idl2, strictarrsubs
 ;
   alon = alonin
Index: /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro
===================================================================
--- /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 113)
+++ /trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 114)
@@ -44,5 +44,5 @@
                                      , NONORTHERNLINE = nonorthernline, NOSOUTHERNLINE = nosouthernline
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt idl2, strictarrsubs 
 ;
   alon = alonin
Index: /trunk/SRC/Interpolation/cutpar.pro
===================================================================
--- /trunk/SRC/Interpolation/cutpar.pro	(revision 113)
+++ /trunk/SRC/Interpolation/cutpar.pro	(revision 114)
@@ -48,4 +48,7 @@
 ;-
 FUNCTION cutpar, x0, y0, x1, y1, x2, y2, x3, y3, n, endpoints = endpoints, onsphere = onsphere
+;
+  compile_opt idl2, strictarrsubs
+;
 ; is it a parallelogram?
 ; eps = 1e-4
Index: /trunk/SRC/Interpolation/cutsegment.pro
===================================================================
--- /trunk/SRC/Interpolation/cutsegment.pro	(revision 113)
+++ /trunk/SRC/Interpolation/cutsegment.pro	(revision 114)
@@ -43,4 +43,7 @@
 ;-
 FUNCTION cutsegment, x0, y0, x1, y1, n, endpoints = endpoints, onsphere = onsphere
+;
+  compile_opt idl2, strictarrsubs
+;
 ; number of segment
   nseg = n_elements(x0) 
Index: /trunk/SRC/Interpolation/extrapolate.pro
===================================================================
--- /trunk/SRC/Interpolation/extrapolate.pro	(revision 113)
+++ /trunk/SRC/Interpolation/extrapolate.pro	(revision 114)
@@ -6,5 +6,5 @@
 FUNCTION extrapolate, zinput, maskinput, nb_iteration, x_periodic = x_periodic, MINVAL = minval, MAXVAL = maxval
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt idl2, strictarrsubs 
 ;
 ; check the number of iteration used in the extrapolation.
Index: /trunk/SRC/Interpolation/fromreg.pro
===================================================================
--- /trunk/SRC/Interpolation/fromreg.pro	(revision 113)
+++ /trunk/SRC/Interpolation/fromreg.pro	(revision 114)
@@ -60,5 +60,5 @@
                   , NOSOUTHERNLINE = nosouthernline
 ;
-  compile_opt strictarr, strictarrsubs 
+  compile_opt idl2, strictarrsubs 
 ;
 ;---------------
Index: /trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- /trunk/SRC/Interpolation/get_gridparams.pro	(revision 113)
+++ /trunk/SRC/Interpolation/get_gridparams.pro	(revision 114)
@@ -63,4 +63,7 @@
 ;                  file, lonname, latname, lon, lat, jpi, jpj, n_dimensions
 ;                   lon,   lat,   jpi,     jpj, n_dimensions
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
   CASE n_params() OF
Index: /trunk/SRC/Interpolation/imoms3.pro
===================================================================
--- /trunk/SRC/Interpolation/imoms3.pro	(revision 113)
+++ /trunk/SRC/Interpolation/imoms3.pro	(revision 114)
@@ -3,4 +3,7 @@
 ;-
 FUNCTION imoms3, xin
+;
+  compile_opt idl2, strictarrsubs
+;
 
   x = abs(xin)
Index: /trunk/SRC/Interpolation/inquad.pro
===================================================================
--- /trunk/SRC/Interpolation/inquad.pro	(revision 113)
+++ /trunk/SRC/Interpolation/inquad.pro	(revision 114)
@@ -67,4 +67,5 @@
 FUNCTION inquad, x, y, x1, y1, x2, y2, x3, y3, x4, y4, ONSPHERE = onsphere,  DOUBLE = double, ZOOMRADIUS = zoomradius, NOPRINT = noprint, NEWCOORD = newcoord
 ;
+  compile_opt idl2, strictarrsubs
 ;
   ntofind = n_elements(x)
Index: /trunk/SRC/Interpolation/inrecgrid.pro
===================================================================
--- /trunk/SRC/Interpolation/inrecgrid.pro	(revision 113)
+++ /trunk/SRC/Interpolation/inrecgrid.pro	(revision 114)
@@ -50,4 +50,6 @@
 FUNCTION inrecgrid, x1d, y1d, left, bottom, output2d = output2d, checkout = checkout
 ;
+  compile_opt idl2, strictarrsubs
+;
   ncellx = n_elements(left)
   ncelly = n_elements(bottom)
Index: /trunk/SRC/Interpolation/ll_narcs_distances.pro
===================================================================
--- /trunk/SRC/Interpolation/ll_narcs_distances.pro	(revision 113)
+++ /trunk/SRC/Interpolation/ll_narcs_distances.pro	(revision 114)
@@ -72,4 +72,7 @@
 FUNCTION LL_NARCS_DISTANCES, lon0, lat0, arc_dist, az, DEGREES = degs
 ;
+  compile_opt idl2, strictarrsubs
+;
+;
   IF n_elements(lon0) NE n_elements(lat0) $
     OR n_elements(lon0) NE n_elements(arc_dist) $
Index: /trunk/SRC/Interpolation/map_npoints.pro
===================================================================
--- /trunk/SRC/Interpolation/map_npoints.pro	(revision 113)
+++ /trunk/SRC/Interpolation/map_npoints.pro	(revision 114)
@@ -92,6 +92,5 @@
   ,  RADIANS = radians, RADIUS = radius, MIDDLE = middle, TWO_BY_TWO = two_by_two
 
-  COMPILE_OPT idl2
-  ON_ERROR, 2                   ; return to caller
+  COMPILE_OPT idl2, strictarrsubs
 
   IF (N_PARAMS() LT 4) THEN $
@@ -107,5 +106,5 @@
     MESSAGE, 'When using two_by_two keyword, P0 and P1 must have the same number of elements'
 
-  mx = MAX(ABS([lat0, lat1]))
+  mx = MAX(ABS([lat0[*], lat1[*]]))
   pi2 = !dpi/2
   IF (mx GT (KEYWORD_SET(radians) ? pi2 : 90)) THEN $
Index: /trunk/SRC/Interpolation/neighbor.pro
===================================================================
--- /trunk/SRC/Interpolation/neighbor.pro	(revision 113)
+++ /trunk/SRC/Interpolation/neighbor.pro	(revision 114)
@@ -36,4 +36,6 @@
 FUNCTION neighbor, p0lon, p0lat, neighlon, neighlat, sphere = sphere, distance = distance, radians = radians
 ;
+  compile_opt idl2, strictarrsubs
+;
 ; somme checks
   IF  n_elements(p0lon) NE 1 THEN MESSAGE, 'Sorry p0lon must be a scalar'
Index: /trunk/SRC/Interpolation/quadrilateral2square.pro
===================================================================
--- /trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 113)
+++ /trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 114)
@@ -70,4 +70,7 @@
 ;------------------------------------------------------------
 FUNCTION quadrilateral2square, x0in, y0in, x1in, y1in, x2in, y2in, x3in, y3in, xxin, yyin, PERF = perf
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 tempsone = systime(1)
Index: /trunk/SRC/Interpolation/spl_fstdrv.pro
===================================================================
--- /trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 113)
+++ /trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 114)
@@ -40,5 +40,7 @@
 FUNCTION spl_fstdrv, x, y, yscd, x2
 ;
-; compute the first derivative of the spline function;
+; compute the first derivative of the spline function
+;
+  compile_opt idl2, strictarrsubs
 ;
   nx = n_elements(x)
Index: /trunk/SRC/Interpolation/spl_incr.pro
===================================================================
--- /trunk/SRC/Interpolation/spl_incr.pro	(revision 113)
+++ /trunk/SRC/Interpolation/spl_incr.pro	(revision 114)
@@ -65,4 +65,7 @@
 FUNCTION pure_concave, x1, x2, y1, y2, der2, x
 ; X^n type
+;
+  compile_opt idl2, strictarrsubs
+;
   xx = (double(x)-double(x1))/(double(x2)-double(x1))
   f = (double(x2)-double(x1))/(double(y2)-double(y1))
@@ -81,4 +84,7 @@
 FUNCTION pure_convex, x1, x2, y1, y2, der2, x
 ; 1-(1-X)^n type
+;
+  compile_opt idl2, strictarrsubs
+;
   xx = 1.0d - (double(x)-double(x1))/(double(x2)-double(x1))
   f = (double(x2)-double(x1))/(double(y2)-double(y1))
@@ -106,7 +112,10 @@
 FUNCTION spl_incr, x, y, x2, YP0 = yp0, YPN_1 = ypn_1
 ;
+  compile_opt idl2, strictarrsubs
+;
 ;---------------------------------
 ; check and initialisation ...
 ;---------------------------------
+;
   nx = n_elements(x)
   ny = n_elements(y)
Index: /trunk/SRC/Interpolation/spl_keep_mean.pro
===================================================================
--- /trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 113)
+++ /trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 114)
@@ -78,4 +78,6 @@
 FUNCTION spl_keep_mean, x, yin, x2, YP0 = yp0, YPN_1 = ypn_1, GE0 = ge0
 ;
+  compile_opt idl2, strictarrsubs
+;
 ;---------------------------------
 ; check and initialisation ...
Index: /trunk/SRC/Interpolation/square2quadrilateral.pro
===================================================================
--- /trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 113)
+++ /trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 114)
@@ -94,4 +94,7 @@
 ; definition.
 ;
+;
+  compile_opt idl2, strictarrsubs
+;
   IF keyword_set(double) THEN BEGIN
     x0 = double(x0in)
@@ -122,5 +125,5 @@
   ENDELSE
 ;
-  IF keyword_set(double) THEN a = dlbarr(8, n_elements(x0)) $
+  IF keyword_set(double) THEN a = dblarr(8, n_elements(x0)) $
   ELSE a = fltarr(8, n_elements(x0)) 
 ;
Index: /trunk/SRC/Obsolete/cp.pro
===================================================================
--- /trunk/SRC/Obsolete/cp.pro	(revision 113)
+++ /trunk/SRC/Obsolete/cp.pro	(revision 114)
@@ -15,4 +15,7 @@
 ;------------------------------------------------------------
 PRO cp, filenamein, filenameout, _extra = ex
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
   file_copy, filenamein, filenameout, _extra = ex
   RETURN
Index: /trunk/SRC/Obsolete/ficdate.pro
===================================================================
--- /trunk/SRC/Obsolete/ficdate.pro	(revision 113)
+++ /trunk/SRC/Obsolete/ficdate.pro	(revision 114)
@@ -26,4 +26,7 @@
 ;------------------------------------------------------------
 function ficdate, vdate, dim, nomexp
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/Obsolete/fictype.pro
===================================================================
--- /trunk/SRC/Obsolete/fictype.pro	(revision 113)
+++ /trunk/SRC/Obsolete/fictype.pro	(revision 114)
@@ -17,4 +17,7 @@
 ;------------------------------------------------------------
 function fictype, vdate, dim
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/Obsolete/imprime.pro
===================================================================
--- /trunk/SRC/Obsolete/imprime.pro	(revision 113)
+++ /trunk/SRC/Obsolete/imprime.pro	(revision 114)
@@ -15,4 +15,7 @@
 ;
 ; this is working only with unix/linux/osX machines
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
   thisOS = strupcase(strmid(!version.os_family, 0, 3))
   CASE thisOS OF 
Index: /trunk/SRC/Obsolete/jourdsmois.pro
===================================================================
--- /trunk/SRC/Obsolete/jourdsmois.pro	(revision 113)
+++ /trunk/SRC/Obsolete/jourdsmois.pro	(revision 114)
@@ -13,4 +13,7 @@
 ;------------------------------------------------------------
 function jourdsmois, mois, annee
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 
 case n_params() OF
Index: /trunk/SRC/Obsolete/juldate.pro
===================================================================
--- /trunk/SRC/Obsolete/juldate.pro	(revision 113)
+++ /trunk/SRC/Obsolete/juldate.pro	(revision 114)
@@ -33,4 +33,7 @@
 ;------------------------------------------------------------
 function juldate, vvdate, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 vdate = vvdate
 vdate = vraidate(vdate, _EXTRA = ex)
Index: /trunk/SRC/Obsolete/lec.pro
===================================================================
--- /trunk/SRC/Obsolete/lec.pro	(revision 113)
+++ /trunk/SRC/Obsolete/lec.pro	(revision 114)
@@ -81,4 +81,7 @@
 ;--------------------------------------------------------------
 function lec, nomchamp,date,nomexp,ECRIT=ecrit,ANOM=anom, BOITE = boite,EXPANOM=expanom, TOUT = tout, GRID = grid, NAME = name, filename = FILENAME
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
    tempsun = systime(1)         ; pour key_performance
@@ -329,5 +332,5 @@
    ENDIF ELSE BEGIN 
       terre = where(mask[*,*,0] EQ 0)
-      if terre[0] NE -1 then z(where(mask EQ 0)) = valmask
+      if terre[0] NE -1 then z[where(mask EQ 0)] = valmask
    ENDELSE 
 ;---------------------------------------------------------------------
Index: /trunk/SRC/Obsolete/lect.pro
===================================================================
--- /trunk/SRC/Obsolete/lect.pro	(revision 113)
+++ /trunk/SRC/Obsolete/lect.pro	(revision 114)
@@ -50,4 +50,7 @@
                ANOM=anom,EXPANOM=expanom
 ;,REPEAT=repeat
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
    tempsun = systime(1)         ; pour key_performance
@@ -226,5 +229,5 @@
    taille = size(ttab)
    writeu, numlec, long(jpt),long(taille[0])
-   case taille(0) of 
+   case taille[0] of 
       1 : writeu, numlec,long(taille[1])
       2 : writeu, numlec,long(taille[1]),long(taille[2])
Index: /trunk/SRC/Obsolete/meshlec.pro
===================================================================
--- /trunk/SRC/Obsolete/meshlec.pro	(revision 113)
+++ /trunk/SRC/Obsolete/meshlec.pro	(revision 114)
@@ -40,4 +40,7 @@
 ;------------------------------------------------------------
 pro meshlec, nomfich, PASBLABLA = pasblabla,DOUBLE = double, GLAMBOUNDARY = glamboundary, GETDIMENSIONS = GETDIMENSIONS
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
    tempsun = systime(1)         ; pour key_performance
Index: /trunk/SRC/Obsolete/ncdf_meshlec.pro
===================================================================
--- /trunk/SRC/Obsolete/ncdf_meshlec.pro	(revision 113)
+++ /trunk/SRC/Obsolete/ncdf_meshlec.pro	(revision 114)
@@ -14,4 +14,7 @@
 PRO ncdf_meshlec, filename, _EXTRA = ex
 ;
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
   CASE n_params() OF
     0:ncdf_meshread, _EXTRA = ex
Index: /trunk/SRC/Obsolete/nlec.pro
===================================================================
--- /trunk/SRC/Obsolete/nlec.pro	(revision 113)
+++ /trunk/SRC/Obsolete/nlec.pro	(revision 114)
@@ -40,4 +40,7 @@
               , STRUCTURE = structure, SEUILMIN = seuilmin, SEUILMAX = seuilmax, NAN = nan $
               , _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/Obsolete/nlec5j.pro
===================================================================
--- /trunk/SRC/Obsolete/nlec5j.pro	(revision 113)
+++ /trunk/SRC/Obsolete/nlec5j.pro	(revision 114)
@@ -41,4 +41,7 @@
 ;------------------------------------------------------------
 function nlec5j, nom, numsortie, nbretps,BOITE = boite, GRILLE=grille,TOUT=tout, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/Obsolete/nlecan.pro
===================================================================
--- /trunk/SRC/Obsolete/nlecan.pro	(revision 113)
+++ /trunk/SRC/Obsolete/nlecan.pro	(revision 114)
@@ -40,4 +40,7 @@
 ;------------------------------------------------------------
 function nlecan, nom, numsortie79, nbretps,BOITE = boite,GRILLE=grille,TOUT=tout, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/Obsolete/nlecmois.pro
===================================================================
--- /trunk/SRC/Obsolete/nlecmois.pro	(revision 113)
+++ /trunk/SRC/Obsolete/nlecmois.pro	(revision 114)
@@ -25,4 +25,7 @@
 ;------------------------------------------------------------
 function nlecmois,nom,numsortie79,nbretps ,BOITE=boite,GRILLE=grille,TOUT=tout, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
 ;------------------------------------------------------------
Index: /trunk/SRC/Obsolete/nlecsaison.pro
===================================================================
--- /trunk/SRC/Obsolete/nlecsaison.pro	(revision 113)
+++ /trunk/SRC/Obsolete/nlecsaison.pro	(revision 114)
@@ -40,4 +40,7 @@
 ;------------------------------------------------------------
 function nlecsaison, nom, numsortie79, nbretps,BOITE = boite, GRILLE=grille,TOUT=tout, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs, obsolete
+;
 @common
 ;------------------------------------------------------------
